Discover Stories V1

View as Markdown
Allows the retrieval of individual stories with meta-data for a specific time range and query defined using Zignal's Freeform Boolean language. Each response is limited to 200 stories at a time. A 'next' token will be provided in the response that can be used to retrieve the next page of stories for the timeframe. - The date range must be in the last 100 days. - `start_time` will default to 30 days ago. `end_time` will default to now. - By default time is in UTC 'Z'. It can be modified replacing 'Z' with time offsets that can go from '+12:00' to '-12:00': `YYYY-MM-DDTHH:MM:SS±HH:MM`. - Date values are optional. Default to the last 24 hours when not specified. - Pagination: For a given date (timestamp) range, the 'total' field indicates the number of stories that fit the request. Of those results, 0 to 200 will be returned in the response. If the total exceeds the 200 limit, a 'next' token will be returned allowing the user to get the next block of results. - `next` is the token to retrieve the next page (if total results for request > 200). - `sorted_by` allows results to be retrieved in the order they were created (default) or in the order they were persisted in the Zignal platform. Possible values: `persisted_at` and `created_at`. If `persisted_at` is provided, only the last 2 days can be queried.

Request

This endpoint expects an object.
ffbstringRequired
Freeform Boolean query string
start_timestringOptionalDefaults to 30 days ago

Inclusive start date for time range. ISO 8601 Format: YYYY-MM-DDTHH:MM:SSZ

end_timestringOptionalDefaults to now

Exclusive end date for time range. ISO 8601 Format: YYYY-MM-DDTHH:MM:SSZ

nextstringOptional
Pagination token for next set of stories

Response

Successful response